package com.ruoyi.ext.api.db;

import java.io.Serializable;

public class DBExecResult implements Serializable
{
	private boolean successed = false;
	private String sqlscript = "";
	private String message = "";
	private String procResult[] = null;
	public int  dbResultsize=0;

	private DBResult dbResult[]=new DBResult[20];

	public DBResult[] getDbResult() {
		return dbResult;
	}

	public void setDbResult(DBResult[] dbResult) {
		this.dbResult = dbResult;
	}

	public String getSqlscript()
	{
		return sqlscript;
	}
	public void setSqlscript(String sqlscript)
	{
		this.sqlscript = sqlscript;
	}
	public void setSqlscript(String sqlscript[])
	{
		for (int i=0;i<sqlscript.length;i++)
		{
			this.sqlscript = this.sqlscript + sqlscript[i];
		}
	}
	public String getMessage()
	{
		return message;
	}
	public void setMessage(String message)
	{
		this.message = message;
	}
	public boolean isSuccessed()
	{
		return successed;
	}
	public void setSuccessed(boolean successed)
	{
		this.successed = successed;
	}
	public String[] getProcResult()
	{
		return procResult;
	}
	public void setProcResult(String[] procResult)
	{
		this.procResult = procResult;
	}
	public void setDBResult(int idx,DBResult dbResult)
	{
		dbResultsize++;
		this.dbResult[idx] = dbResult;
	}
	public DBResult getDBResult(int idx)
	{
		if (dbResultsize>0 && idx<dbResultsize)
		    return this.dbResult[idx];
		else
			return null;
	}
}
